#!/bin/bash

while [ $# -gt 0 ]; do
    case $1 in
	--dest)
	    shift
	    DEST=$1
	    ;;

	--subdir)
	    shift
	    SUBDIR=$1
	    ;;

	*)
	    break
	    ;;
    esac

    shift
done

. $MYPWD/locations.include

echo $SITE
echo $RELEASEDIR

if [ ! -d $RELEASEDIR/$SUBDIR ]; then
    echo "The directory $RELEASEDIR/$SUBDIR does not exist"
    exit 1
fi

if [ -z "$DEST" ]; then
    echo "--dest is not defined"
    exit 1
fi

echo "Creating $DEST from $RELEASEDIR/$SUBDIR"

cd $RELEASEDIR/$SUBDIR

# Create the image (This is for disk x)
mkisofs \
	-A "$SITE $DEFAULT $ARCH DISCx" \
	-R -l -v -J \
	-x ./lost+found \
	-o $DEST \
	 . 
